my graphics card is an ATI Radeon HD 5400, i dint see it on the supported list are the unsupported list. is this a problem? i know i cant pay it yet i have to wait for my new processor to come in friday.......piss's me off! it worked fine in beta and then all of the sudden it wont even let me download the game cause my processor doesnt meet min. req. just wnated to know if i was wasting my time with the new processor. thank you for any answers you can give me!